Bug 76346 - postscript test ends prematurely
postscript test ends prematurely
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-10-20 11:36 EDT by Mike Wright
Modified: 2014-08-31 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-16 17:03:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Wright 2002-10-20 11:36:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I'm trying to setup printing from my Red Hat 8.0 box to a windows machine with
an Epson C80 printer. All seems to go fine until I try to print a test page.
Invariably the last portion of the page gets truncated. The odd thing is that it
seems to be appx the last 256 kb of output. I tested this by specifying several
resolution settings in the printer config tool. If I specify a low resolution
setting, e.g. 360x180, and watch the print spooler on the windows box, I see a
print job gets generated of about 500-600 kb and the printing stops about
halfway thru printing the red hat logo. However if I specify a higher
resolution, e.g. 720x720, the spooler shows a print job of about 1.5-2.0 Mb and
the printer completes the logo, prints the example color boxes, and gets most of
the way thru the explanation about "the boxes bordering this page, etc..." but
doesn't finish at the bottom.

I'm not smart enough to debug where in the process the problems are occurring:
lprng, magicfilter, mf_wrapper, gimp-print-ijs, samba, smbprint, printconf-gui,
ghostscript, etc. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run printconf-gui.
2. Edit printer driver options dealing with Ghostscript Resolution and Quality.
3.Print the US Letter Postscript test page to your SMB shared printer.

Actual Results:  Watch in wonder as the gigantic print jobs run almost to
completion before crapping out, while the dinky little jobs quit almost immediately.

Expected Results:  Print jobs should go to completion, rendering the entire
page, and the resolution settings should have no effect.

Additional info:
Comment 1 Mike Wright 2002-10-23 21:57:36 EDT
I've checked a few more things. First, I was able to look at the test page
(/usr/share/printconf/tests/testpage.ps) using gs, so I think that rules out
ghostscript. Second, I used the printer system switcher to change from lprng to
cups. When I ran the test, I got the cups test page, but it again craps out
about half way thru printing the page.
Comment 2 Tim Waugh 2003-01-20 13:57:58 EST
(Fixing component.)
Comment 3 Tim Waugh 2003-01-20 14:00:05 EST
Try using smbclient to print the file directly to the Windows share.  Does that

This sounds like a samba-level problem.
Comment 4 Jay Fenlason 2004-11-16 17:03:15 EST
No response for a long time, closing. 

Note You need to log in before you can comment on or make changes to this bug.